#include <string.h>
#include "defines.h"

void strmfp20(unchar *path,unchar *dir,unchar *name,unchar *ext)
// path=dir+name+ext
// dir=drv:\dir1\dir2	後ろの'\'はなくても良い（但し、ルートは除く）
// fname=fname
// ext=ext		'.'はなくても良い
{
	// ディレクトリ
	while (*path=*dir++) path++;
	if (*(path-1)!='\\') *path++='\\';
	
	// ファイル名
	while (*path=*name++) path++;
	
	// 拡張子
	if (*ext!=0) {
		if (*ext!='.') *path++='.';
		while (*path++=*ext++);
	}
}
